aboutsummaryrefslogtreecommitdiffstats
path: root/testing
diff options
context:
space:
mode:
authorCarlo Landmeter <clandmeter@gmail.com>2009-03-27 18:23:54 +0000
committerCarlo Landmeter <clandmeter@gmail.com>2009-03-27 18:23:54 +0000
commitda6ffbfa8c2f196508e18bfcdd4808318c7442f3 (patch)
tree7a7924988a8183fd85755b22011426cb10755d1f /testing
parent4bdc3a788814f9599fbd31ec58460239e71d034a (diff)
downloadaports-da6ffbfa8c2f196508e18bfcdd4808318c7442f3.tar.gz
aports-da6ffbfa8c2f196508e18bfcdd4808318c7442f3.tar.bz2
aports-da6ffbfa8c2f196508e18bfcdd4808318c7442f3.tar.xz
testing/libnetfilter_log: new aport
Diffstat (limited to 'testing')
-rw-r--r--testing/libnetfilter_log/APKBUILD26
1 files changed, 26 insertions, 0 deletions
diff --git a/testing/libnetfilter_log/APKBUILD b/testing/libnetfilter_log/APKBUILD
new file mode 100644
index 0000000000..b2c4dfcc26
--- /dev/null
+++ b/testing/libnetfilter_log/APKBUILD
@@ -0,0 +1,26 @@
+# Contributor: Carlo Landmeter <clandmeter@gmail.com>
+# Maintainer: Carlo Landmeter <clandmeter@gmail.com>
+pkgname=libnetfilter_log
+pkgver=0.0.16
+pkgrel=0
+pkgdesc="interface to packets that have been logged by the kernel packet filter"
+url="http://www.netfilter.org/projects/libnetfilter_log/"
+license="GPL-2"
+depends="libnfnetlink"
+makedepends="libnfnetlink-dev pkgconfig"
+subpackages="$pkgname-dev"
+source="http://www.netfilter.org/projects/libnetfilter_log/files/libnetfilter_log-0.0.16.tar.bz2"
+
+build() {
+ cd "$srcdir/$pkgname-$pkgver"
+
+ ./configure --prefix=/usr \
+ --sysconfdir=/etc \
+ --mandir=/usr/share/man \
+ --infodir=/usr/share/info
+ make || return 1
+ make DESTDIR="$pkgdir" install
+
+}
+
+md5sums="4ffcf46dad9d0c81f6611dd185639694 libnetfilter_log-0.0.16.tar.bz2"